Compatibility Guide for AKO

Overview

The Avi Vantage platform integrates with Kubernetes/OpenShift using the operator called Avi Kubernetes Operator (AKO). This document outlines the compatibility and features supported by AKO in different environments.

Support for Kubernetes/ Orchestrators

The AKO version 1.3.1 support for Kubernetes/Orchestrators is as below:

AKO Release Versions Supported
Kubernetes Support Versions 1.16, 1.17, 1.18, 1.19 (tolerance support)
OpenShift Support Versions : 4.3, 4.4, 4.5
TKGm Versions 1.12, 1.13
TKGs Versions vSphere 7.0 U2

Support for Avi Ecosystems and CNI

Antrea Calico OpenShift SDN
vCenter (Full-access) v0.9.1 v0.9.1 v1.2.1
No-Access Cloud v0.9.1 v0.9.1 v1.2.1

Note: The above table lists the minimum supported AKO version for each combination.

Avi Controller Version Support for AKO

AKO Release(s) Avi Controller Versions Supported
0.9 18.2.6 - 18.2.10
1.1 18.2.6 - 18.2.10
1.2 18.2.10, 20.1.2 (minimum requirement)
1.3 18.2.10, 20.1.2 (minimum requirement)

Cloud Support

  • In ClusterIP Mode: GCP, Azure, vCenter
  • In Nodeport Mode: AWS

Managed Kubernetes Support

  • Google Kubernetes Engine (GKE)
  • Azure Kubernetes Service (AKS)
  • Amazon Elastic Container Service for Kubernetes(EKS)

Features Not Supported in AKO Release 1.3.1

AKO version 1.3.1 does not support the following:

  • OpenShift 3.x
  • Avi Annotations
  • Egress pod

Caveats and Restrictions

  • AKO does not support ingresses which do not have either hostname or a path defined.
  • Ingresses in Kubernetes will be deployed only as Sharded L7 VSs in Avi. Dedicated VSs will not be supported for Ingresses.
  • Services of type:LoadBalancer will only be deployed as dedicated L4 virtual services in Avi
  • Change of Sharding scheme requires a restart of AKO and will be service impacting

Document Revision History

Date Change Summary
December 18, 2020 Published the Compatibility Guide for AKO version 1.3.1
September 16, 2020 Published the Compatibility Guide for AKO version 1.2.1
July 20, 2020 Published the Compatibility Guide for AKO version 1.2.1 (Tech Preview)